# Uses of Class
java.util.concurrent.locks.ReentrantReadWriteLock

Packages that use ReentrantReadWriteLock
Package
Description
java.util.concurrent.locks
Interfaces and classes providing a framework for locking and waiting for conditions that is distinct from built-in synchronization and monitors.

## Uses of ReentrantReadWriteLock in java.util.concurrent.locks

Constructors in java.util.concurrent.locks with parameters of type ReentrantReadWriteLock
Modifier
Constructor
Description
`protected`
`ReadLock(ReentrantReadWriteLock lock)`
Constructor for use by subclasses.
`protected`
`WriteLock(ReentrantReadWriteLock lock)`
Constructor for use by subclasses.